package saccubus.conv;

import java.io.*;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.xml.sax.*;
import javax.xml.parsers.*;

/**
 * <p>
 * タイトル: さきゅばす
 * </p>
 *
 * <p>
 * 説明: ニコニコ動画の動画をコメントつきで保存
 * </p>
 *
 * <p>
 * 著作権: Copyright (c) 2007 PSI
 * </p>
 *
 * <p>
 * 会社名:
 * </p>
 *
 * @author 未入力
 * @version 1.0
 */
public class ConvertToVideoHook {

    private static final Logger logger = Logger.getLogger(ConvertToVideoHook.class.getName());

	public static boolean convert(File file, File out, String ng_id,
			String ng_word) {
		try {
			Packet packet = new Packet();
			// SAXパーサーファクトリを生成
			SAXParserFactory spfactory = SAXParserFactory.newInstance();
			// SAXパーサーを生成
			SAXParser parser = spfactory.newSAXParser();
			// XMLファイルを指定されたデフォルトハンドラーで処理します
			NicoXMLReader nico_reader = null;
			try {
				nico_reader = new NicoXMLReader(packet, ng_id, ng_word);
			} catch (java.util.regex.PatternSyntaxException e) {
				logger.log(Level.SEVERE, null, e);
				return false;
			}
			if (nico_reader != null) {
				parser.parse(file, nico_reader);
			}
			// 変換結果の書き込み
			FileOutputStream fos = new FileOutputStream(out);
			packet.write(fos);
			fos.close();
			return true;
		} catch (IOException ex) {
			logger.log(Level.SEVERE, null, ex);
		} catch (SAXException ex) {
			logger.log(Level.SEVERE, null, ex);
		} catch (ParserConfigurationException ex) {
			logger.log(Level.SEVERE, null, ex);
		}
		return false;
	}
}
