/* $Id$ */
package saccubus.converter.classic.profile;

import java.io.File;
import saccubus.converter.profile.CommentProfile;
import saccubus.converter.profile.VideoProfile;

/**
 *
 * @author yuki
 */
public class InputFileSetting implements VideoProfile, CommentProfile {

    private final boolean download;
    private final boolean delete;
    private final CommentGetInfo commentGetInfo;
    private final long backLogPoint;

    /**
     * @param file 対象ファイル.
     * @param download ダウンロードする必要があればtrue, ローカルファイルを用いるのであればfalse.
     * @param delete 変換後にファイルを削除するのであればtrue, 残したままにするのであればfalse.
     */
    public InputFileSetting(boolean download, boolean delete, CommentGetInfo cominfo, long backLogPoint) {
        this.download = download;
        this.delete = delete;
        this.commentGetInfo = cominfo;
        this.backLogPoint = backLogPoint;
    }

    @Override
    public String getFileName() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public boolean isDownload() {
        return download;
    }

    public boolean isDelete() {
        return delete;
    }

    private boolean isSelfAdjustCommentNum() {
        return commentGetInfo.isSelfAdjustCommentNum();
    }

    @Override
    public int getLengthRelatedCommentSize() {
        if (isSelfAdjustCommentNum()) {
            return commentGetInfo.getBackComment();
        }
        return -1;
    }

    @Override
    public boolean isDisablePerMinComment() {
        return commentGetInfo.isReduceComment();
    }

    @Override
    public long getBackLogPoint() {
        return backLogPoint;
    }

    @Override
    public File getDir() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public File getLocalFile() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public int getPerMinCommentSize() {
        return -1;
    }
}
