package saccubus.converter.profile;

import java.io.File;

/**
 *
 * @author yuki
 */
public interface ConvertProfile {

    FfmpegProfile getFfmpegOption();

    /** @return ffmpeg実行ファイル. */
    File getFfmpeg();

    /** @return 拡張ライブラリを無効にするのであればtrue. */
    boolean isVhookDisabled();

    /** @return 拡張ライブラリファイル. */
    File getVhook();

    /** @return 使用するフォントファイル. */
    File getFont();

    /** @return フォント番号. */
    int getFontIndex();

    /** @return 全てのコメントを不透明にするのであればtrue. */
    boolean isCommentOpaque();

    /** @return コメントのフォントサイズを自動調整するのであればfalse. */
    boolean isDisableFontSizeArrange();

    /** @return 影の種類 */
    int getShadowIndex();

    /** @return 変換中に変換中画像を画面に表示するのであればtrue. */
    boolean isShowConverting();

    /** @return 1画面中に表示する最大コメント数. 負値の場合は既定値(30)と同等. */
    int getMaxNumOfComment();

    HideCondition getNgSetting();

    /**
     *
     * @author yuki
     */
    public interface HideCondition {

        String getWord();

        String getId();
    }
}
