package saccubus.converter.profile;

import java.io.File;

/**
 * 変換後の動画ファイルに関する情報を保持するプロファイル.
 * @author yuki
 */
public interface OutputProfile {

    /** @return 動画変換処理を行う必要があればtrue. */
    boolean isConvert();

    /**
     * @return {@link #isConvert()}がtrueの場合に
     * コメントを付与して変換を行うのであればtrue.
     * {@link #isConvert()}がfalseの場合未定義.
     */
    boolean isAddComment();

    /**
     * @return {@link #isConvert()}がtrueの場合に
     * 変換した動画を保存するディレクトリ.
     * {@link #isConvert()}がfalseの場合未定義.
     */
    public File getDir();

    /**
     * @return {@link #isConvert()}がtrueの場合に
     * 変換した動画のファイル名パターン.
     * {@link #isConvert()}がfalseの場合未定義.
     */
    public String getFileName();
}
